tigase.io

## Class TelnetServer

- java.lang.Object
- - tigase.io.TelnetServer

- All Implemented Interfaces:
    SampleSocketThread.SocketHandler

      public class TelnetServer
      extends Object
      implements SampleSocketThread.SocketHandler

  This is sample class demonstrating how to use `tigase.io` library for TLS/SSL server connection. This is simple telnet server class which can be run to receive plain connections or SSL connections.
  Created: Sun Aug 6 22:27:13 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TelnetServer(int port)` Creates a new `TelnetServer` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleIOInterface(IOInterface ioifc)`
    `void` | `handleSocketAccept(SocketChannel sc)`
    `static String` | `help()`
    `static void` | `main(String[] args)`
    `static void` | `parseParams(String[] args)`
    `void` | `run()`
    `static void` | `turnDebugOn()`
    `static String` | `version()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TelnetServer

          public TelnetServer(int port)
                       throws IOException

      Creates a new `TelnetServer` instance.
      Parameters:
        `port` -
      Throws:
        `IOException`

  - ### Method Detail

    - #### help

          public static String help()

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

    - #### parseParams

          public static void parseParams(String[] args)
                                  throws Exception

      Throws:
        `Exception`

    - #### turnDebugOn

          public static void turnDebugOn()

    - #### version

          public static String version()

    - #### handleIOInterface

          public void handleIOInterface(IOInterface ioifc)
                                 throws IOException

      Specified by:
        `handleIOInterface` in interface `SampleSocketThread.SocketHandler`
      Throws:
        `IOException`

    - #### handleSocketAccept

          public void handleSocketAccept(SocketChannel sc)
                                  throws IOException

      Specified by:
        `handleSocketAccept` in interface `SampleSocketThread.SocketHandler`
      Throws:
        `IOException`

    - #### run

          public void run()
                   throws IOException

      Throws:
        `IOException`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.